## empathy-utils

empathy-utils

## Synopsis

    #define             G_STR_EMPTY                         (x)
    enum                EmpathyRegExType;
    gchar*              empathy_substring                   (const gchar *str,
                                                             gint start,
                                                             gint end);
    gint                empathy_regex_match                 (EmpathyRegExType type,
                                                             const gchar *msg,
                                                             GArray *start,
                                                             GArray *end);
    gint                empathy_strcasecmp                  (const gchar *s1,
                                                             const gchar *s2);
    gint                empathy_strncasecmp                 (const gchar *s1,
                                                             const gchar *s2,
                                                             gsize n);
    gboolean            empathy_strdiff                     (const gchar *left,
                                                             const gchar *right);
    gchar*              empathy_escape_as_identifier        (const gchar *name);
    gboolean            empathy_xml_validate                (xmlDoc *doc,
                                                             const gchar *dtd_filename);
    xmlNodePtr          empathy_xml_node_get_child          (xmlNodePtr node,
                                                             const gchar *child_name);
    xmlChar*            empathy_xml_node_get_child_content  (xmlNodePtr node,
                                                             const gchar *child_name);
    xmlNodePtr          empathy_xml_node_find_child_prop_value
                                                            (xmlNodePtr node,
                                                             const gchar *prop_name,
                                                             const gchar *prop_value);
    guint               empathy_account_hash                (gconstpointer key);
    gboolean            empathy_account_equal               (gconstpointer a,
                                                             gconstpointer b);
    MissionControl*     empathy_mission_control_new         (void);
    gchar*              empathy_inspect_handle              (McAccount *account,
                                                             guint handle,
                                                             guint handle_type);
    gchar*              empathy_inspect_channel             (McAccount *account,
                                                             TpChan *tp_chan);
    void                empathy_call_contact                (EmpathyContact *contact);

## Description

## Details

### G_STR_EMPTY()

    #define G_STR_EMPTY(x) ((x) == NULL || (x)[0] == '\0')

`x` : |

### enum EmpathyRegExType

    typedef enum {
    	EMPATHY_REGEX_AS_IS,
    	EMPATHY_REGEX_BROWSER,
    	EMPATHY_REGEX_EMAIL,
    	EMPATHY_REGEX_OTHER,
    	EMPATHY_REGEX_ALL,
    } EmpathyRegExType;

### empathy_substring ()

    gchar*              empathy_substring                   (const gchar *str,
                                                             gint start,
                                                             gint end);

`str` : |
`start` : |
`end` : |
Returns : |

### empathy_regex_match ()

    gint                empathy_regex_match                 (EmpathyRegExType type,
                                                             const gchar *msg,
                                                             GArray *start,
                                                             GArray *end);

`type` : |
`msg` : |
`start` : |
`end` : |
Returns : |

### empathy_strcasecmp ()

    gint                empathy_strcasecmp                  (const gchar *s1,
                                                             const gchar *s2);

`s1` : |
`s2` : |
Returns : |

### empathy_strncasecmp ()

    gint                empathy_strncasecmp                 (const gchar *s1,
                                                             const gchar *s2,
                                                             gsize n);

`s1` : |
`s2` : |
`n` : |
Returns : |

### empathy_strdiff ()

    gboolean            empathy_strdiff                     (const gchar *left,
                                                             const gchar *right);

`left` : |
`right` : |
Returns : |

### empathy_escape_as_identifier ()

    gchar*              empathy_escape_as_identifier        (const gchar *name);

`name` : |
Returns : |

### empathy_xml_validate ()

    gboolean            empathy_xml_validate                (xmlDoc *doc,
                                                             const gchar *dtd_filename);

`doc` : |
`dtd_filename` : |
Returns : |

### empathy_xml_node_get_child ()

    xmlNodePtr          empathy_xml_node_get_child          (xmlNodePtr node,
                                                             const gchar *child_name);

`node` : |
`child_name` : |
Returns : |

### empathy_xml_node_get_child_content ()

    xmlChar*            empathy_xml_node_get_child_content  (xmlNodePtr node,
                                                             const gchar *child_name);

`node` : |
`child_name` : |
Returns : |

### empathy_xml_node_find_child_prop_value ()

    xmlNodePtr          empathy_xml_node_find_child_prop_value
                                                            (xmlNodePtr node,
                                                             const gchar *prop_name,
                                                             const gchar *prop_value);

`node` : |
`prop_name` : |
`prop_value` : |
Returns : |

### empathy_account_hash ()

    guint               empathy_account_hash                (gconstpointer key);

`key` : |
Returns : |

### empathy_account_equal ()

    gboolean            empathy_account_equal               (gconstpointer a,
                                                             gconstpointer b);

`a` : |
`b` : |
Returns : |

### empathy_mission_control_new ()

    MissionControl*     empathy_mission_control_new         (void);

Returns : |

### empathy_inspect_handle ()

    gchar*              empathy_inspect_handle              (McAccount *account,
                                                             guint handle,
                                                             guint handle_type);

`account` : |
`handle` : |
`handle_type` : |
Returns : |

### empathy_inspect_channel ()

    gchar*              empathy_inspect_channel             (McAccount *account,
                                                             TpChan *tp_chan);

`account` : |
`tp_chan` : |
Returns : |

### empathy_call_contact ()

    void                empathy_call_contact                (EmpathyContact *contact);

`contact` : |